## kmix 25.08.1+p24.04+vstable+git20250922.0418

=== debian/changelog ===
kmix (4:25.08.1+p24.04+vstable+git20250922.0418-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 22 Sep 2025 04:18:45 +0000
