=== debian/changelog ===
kmix (4:25.08.1+p24.04+vunstable+git20251001.0449-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 04:49:41 +0000
