=== debian/control ===
Source: kmix
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.1.0~),
               gettext,
               libasound2-dev [linux-any],
               libcanberra-dev,
               libkf6config-dev (>= 6.1.0~),
               libkf6configwidgets-dev (>= 6.1.0~),
               libkf6coreaddons-dev (>= 6.1.0~),
               libkf6crash-dev (>= 6.1.0~),
               libkf6dbusaddons-dev (>= 6.1.0~),
               libkf6doctools-dev (>= 6.1.0~),
               libkf6globalaccel-dev (>= 6.1.0~),
               libkf6i18n-dev (>= 6.1.0~),
               libkf6notifications-dev (>= 6.1.0~),
               libkf6solid-dev (>= 6.1.0~),
               libkf6statusnotifieritem-dev (>= 6.1.0~),
               libkf6widgetsaddons-dev (>= 6.1.0~),
               libkf6windowsystem-dev (>= 6.1.0~),
               libkf6xmlgui-dev (>= 6.1.0~),
               libpulse-dev (>= 0.9.16),
               pkg-kde-tools (>= 0.15.16),
               pkgconf,
               qt6-base-dev (>= 6.3.0~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://apps.kde.org/en/kmix
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmix
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmix

Package: kmix
Section: sound
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Provides: x-audio-mixer,
Description: volume control and mixer
 KMix is an audio device mixer, used to adjust volume, select recording inputs,
 and set other hardware options.
 .
 This package is part of the KDE multimedia module.
