## kmix 25.08.2+p24.04+vstable+git20251019.0309

=== debian/changelog ===
kmix (4:25.08.2+p24.04+vstable+git20251019.0309-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 03:09:16 +0000
