=== debian/rules ===
#!/usr/bin/make -f


%:
	dh $@ --with kf6 --buildsystem kf6
