## kmix 25.08.2+p24.04+vstable+git20251031.0913

=== debian/changelog ===
kmix (4:25.08.2+p24.04+vstable+git20251031.0913-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 09:13:48 +0000
