## kmix 25.08.3+p24.04+vunstable+git20251128.0021

=== debian/changelog ===
kmix (4:25.08.3+p24.04+vunstable+git20251128.0021-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 28 Nov 2025 00:21:46 +0000
