## kmix 25.12.1+p24.04+vstable+git20260106.1603

=== debian/changelog ===
kmix (4:25.12.1+p24.04+vstable+git20260106.1603-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 16:03:29 +0000
